---
title: Document()
slug: Web/API/Document/Document
tags:
  - API
  - Constructor
  - DOM
  - Document
  - Reference
---
<div>{{APIRef}}</div>

<p>The <strong><code>Document</code></strong> constructor creates a new {{domxref("Document")}} object that is a web page loaded in the browser and serving as an entry point into the page's content.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new Document();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('DOM WHATWG','#dom-document-document','Document')}}</td>
			<td>{{Spec2('DOM WHATWG')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Document.Document")}}</div>
